UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.LBMStatistics Class Reference

UM Transport Statistics base class. More...

Inheritance diagram for com.latencybusters.lbm.LBMStatistics:

## Public Member Functions
string | getApplicationSourceId ()
| Retrieve the application source identifier associated with this set of statistics. More...
IPAddress | getSender ()
| Retrieve the IP sender address associated with this set of statistics. More...
DateTime | getTimestamp ()
| Retrieve the timestamp associated with this set of statistics. More...
long | getProcessId ()
| Retrieve the sender process ID associated with this set of statistics. More...
long | getContextId ()
| Retrieve the sender context ID associated with this set of statistics. More...
long | getObjectId ()
| Retrieve the sender object ID associated with this set of statistics. More...
long | getSource ()
| Retrieve the source attribute from the statistics attribute block associated with this set of statistics. More...

## Detailed Description

UM Transport Statistics base class.

## Member Function Documentation

string com.latencybusters.lbm.LBMStatistics.getApplicationSourceId | ( |  | ) |

Retrieve the application source identifier associated with this set of statistics.

This attribute is only set for remote statistics returned by the lbmmon infrastructure. For locally-gathered statistics, this method returns an undefined value.

Returns
  Application source ID

long com.latencybusters.lbm.LBMStatistics.getContextId | ( |  | ) |

Retrieve the sender context ID associated with this set of statistics.

This attribute is only set for remote statistics returned by the lbmmon infrastructure. For locally-gathered statistics, this method returns an undefined value.

Returns
  Sender context ID

long com.latencybusters.lbm.LBMStatistics.getObjectId | ( |  | ) |

Retrieve the sender object ID associated with this set of statistics.

This attribute is only set for remote statistics returned by the lbmmon infrastructure. For locally-gathered statistics, this method returns an undefined value.

Returns
  Sender object ID

long com.latencybusters.lbm.LBMStatistics.getProcessId | ( |  | ) |

Retrieve the sender process ID associated with this set of statistics.

This attribute is only set for remote statistics returned by the lbmmon infrastructure. For locally-gathered statistics, this method returns an undefined value.

Returns
  Sender process ID

IPAddress com.latencybusters.lbm.LBMStatistics.getSender | ( |  | ) |

Retrieve the IP sender address associated with this set of statistics.

This attribute is only set for remote statistics returned by the lbmmon infrastructure. For locally-gathered statistics, this method returns an undefined value.

Returns
  IPAddress object corresponding to the statistics' sender IP address

long com.latencybusters.lbm.LBMStatistics.getSource | ( |  | ) |

Retrieve the source attribute from the statistics attribute block associated with this set of statistics.

This attribute is only set for remote statistics returned by the lbmmon infrastructure. For locally-gathered statistics, this method returns an undefined value. Compare return value to LBMMonitor.ATTR_SOURCE_NORMAL and LBMMonitor.ATTR_SOURCE_IM.

Returns
  Sender source flag

DateTime com.latencybusters.lbm.LBMStatistics.getTimestamp | ( |  | ) |

Retrieve the timestamp associated with this set of statistics.

This attribute is only set for remote statistics returned by the lbmmon infrastructure. For locally-gathered statistics, this method returns an undefined value.

Returns
  DateTime object

The documentation for this class was generated from the following file:

- LBMStatistics.cs